load_ibk(3)

NAME
load_ibk - Reads in a .IBK patch definition file for the Adlib driver. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int load_ibk(char *filename, int drums);

DESCRIPTION
Reads in a .IBK patch definition file for use by the Adlib driver. If drums is set, it will load it as a percussion patch set, otherwise it will use it as a replacement set of General MIDI instruments. You may call this before or after initialising the sound code, or can simply set the ibk_file and ibk_drum_file variables in the configuration file to have the data loaded automatically. Note that this function has no effect on any drivers other than the Adlib one!

RETURN VALUE
Returns non-zero on error.

SEE ALSO
install_sound(3)